API server
https://app.coolify.io/api/v1Migrate a database to another destination/server owned by the authenticated team. Stops the database, optionally transfers persistent volume data when both servers are managed by Coolify, and updates database records. Redeploy after migration completes.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
UUID of the database.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
UUID of the target destination.
Whether to transfer persistent volume data when migrating across servers.
trueResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/databases/string/migrate" \ -H "Content-Type: application/json" \ -d '{ "destination_uuid": "string" }'{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}List Tags GET
List tags for a database by UUID.
Move POST
Move database to another project/environment. This is a purely organizational change — running containers are not affected. Note: after moving, the database will pick up shared environment variables from the new environment on the next deployment.
